Subject: Re: [PATCH] Avoid unpaired stwcx. on some processors

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 11 Nov 2007 15:46:05 +1100

> Seems like a "better" (but still ugly) workaround would be to create a
> _new_ reservation to a RA that's unavailable to any userspace process,
> so that they could never do a successful store to it. That way you would
> have stray reservations, but never dangling stwcx:es. No?

Many processors don't compare the reservation address locally. If
there's any valid reservation held by that processor, a subsequent
stwcx. will always succeed. That would make you scheme dangerous :-)

Ben.